[![PyPI version](https://img.shields.io/pypi/v/pylabber.svg)](https://pypi.python.org/pypi/pylabber/)
[![PyPI status](https://img.shields.io/pypi/status/pylabber.svg)](https://pypi.python.org/pypi/pylabber/)
[![CircleCI](https://circleci.com/gh/TheLabbingProject/pylabber.svg?style=shield)](https://app.circleci.com/pipelines/github/TheLabbingProject/pylabber)
[![Documentation Status](https://readthedocs.org/projects/pylabber/badge/?version=latest)](https://pylabber.readthedocs.io/en/latest/?badge=latest)
[![codecov.io](https://codecov.io/gh/TheLabbingProject/pylabber/coverage.svg?branch=master)](https://codecov.io/github/TheLabbingProject/pylabber?branch=master)

# _pylabber_

_pylabber_ is a [Django](https://www.djangoproject.com/) project designed to
provide the core functionality required to conduct neuroscientific research.

For more information, see the
[documentation site](https://pylabber.readthedocs.io/en/latest/).

## Requirements

_pylabber_ requires [PostgreSQL](https://www.postgresql.org/) as a
[database engine](https://docs.djangoproject.com/en/3.0/ref/databases/).

Extensions may depend on external toolkits (e.g.
[_django_mri_](https://github.com/TheLabbingProject/django_mri) requires
[FSL](https://fsl.fmrib.ox.ac.uk/fsl/fslwiki),
[FreeSurfer](https://surfer.nmr.mgh.harvard.edu/),
[SPM](https://www.fil.ion.ucl.ac.uk/spm/), etc.).

## Front-end

For a front-end project built on top of _pylabber_, see
[_vuelabber_](https://github.com/TheLabbingProject/vuelabber).
